Bug 1125883 - FTBFS on ppc64 and ppc64le
Summary: FTBFS on ppc64 and ppc64le
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mdadm
Version: 21
Hardware: ppc64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jes Sorensen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PPCTracker F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-08-01 09:41 UTC by Dan Horák
Modified: 2015-12-02 16:10 UTC (History)
6 users (show)

Fixed In Version: mdadm-3.3.1-6.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:19:45 UTC


Attachments (Terms of Use)
Just cast print arguments (764 bytes, patch)
2014-08-01 12:53 UTC, Menanteau Guy
no flags Details | Diff

Description Dan Horák 2014-08-01 09:41:22 UTC
Description of problem:

...
super-ddf.c: In function '_set_config_size':
super-ddf.c:2849:4: error: format '%llx' expects argument of type 'long long unsigned int', but argument 6 has type '__u64' [-Werror=format=]
    pr_err("%s: %x:%x: workspace size 0x%llx too big, ignoring\n",
    ^
super-ddf.c:2855:2: error: format '%llx' expects argument of type 'long long unsigned int', but argument 6 has type '__u64' [-Werror=format=]
  dprintf("%s: %x:%x config_size %llx, DDF structure is %llx blocks\n",
  ^
cc1: all warnings being treated as errors
<builtin>: recipe for target 'super-ddf.o' failed



Version-Release number of selected component (if applicable):
mdadm-3.3.1-3.fc22


for a full log please see
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1966670

Comment 1 Dan Horák 2014-08-01 10:04:08 UTC
fails on both ppc64 and ppc64le

Comment 2 Menanteau Guy 2014-08-01 12:53:44 UTC
Created attachment 923301 [details]
Just cast print arguments

Comment 3 Menanteau Guy 2014-08-01 12:55:20 UTC
Please could you consider above patch, is blocking ppc64 and ppc64le builds. Thanks

Comment 4 Jes Sorensen 2014-08-04 08:38:18 UTC
Dan,

What is the upstream status of this patch?

It cannot not be considered for inclusion before it has been posted upstream!

Jes

Comment 5 Dan Horák 2014-08-04 09:03:59 UTC
Guy, please send the patch (refreshed against master from git://neil.brown.name/mdadm) to upstream mailing list (linux-raid@vger.kernel.org - no subscription required) and add Jes to CC, thanks.

Comment 6 Michel Normand 2014-08-04 10:01:06 UTC
(In reply to Dan Horák from comment #5)
> Guy, please send the patch (refreshed against master from
> git://neil.brown.name/mdadm) to upstream mailing list
> (linux-raid@vger.kernel.org - no subscription required) and add Jes to CC,
> thanks.

I sent the patch on upstream ML (no change versus git master) the thread is available on archive: http://marc.info/?l=linux-raid&m=140714543311966&w=2
Sorry Jes I forgot to cc while doing the git send-email.

Comment 7 Jes Sorensen 2014-08-04 12:37:38 UTC
Michel,

I think you have to update your submission - you didn't include the mandatory
Signed-off-by line.

Jes

Comment 8 Dan Horák 2014-08-04 15:06:08 UTC
updated patch http://marc.info/?l=linux-raid&m=140716399919306&w=2

Comment 9 Rafael Fonseca 2015-08-13 13:37:56 UTC
So can we close this bug?

Comment 10 Fedora End Of Life 2015-11-04 15:56:10 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2015-12-02 03:19:55 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.